/// <reference types="node" />
import { Entity } from '../../common/entity.base';
import { Actor } from './actor.entity';
import { Article } from './article.object';
import { ActivityPub } from './types';
import { URI } from './uri.object';
type ActivityData = {
    activity: URI | null;
    type: ActivityPub.ActivityType;
    actor: {
        id: URI;
        type: string;
        [x: string]: any;
    } | Actor;
    object: {
        id: URI;
        type: string;
        [x: string]: any;
    } | Article;
    to: URI | null;
};
export declare class Activity extends Entity<ActivityData> {
    get type(): ActivityPub.ActivityType;
    getObject(url: URL): (ActivityPub.RootObject & {
        type: "Article";
        name: string;
        content: string;
        url?: string | undefined;
        attributedTo?: string | object[] | undefined;
        image?: string | undefined;
        published?: string | undefined;
        preview?: {
            type: string;
            content: string;
        } | undefined;
    }) | {
        [x: string]: any;
        id: URI;
        type: string;
    };
    getActor(url: URL): (ActivityPub.RootObject & {
        [x: string]: any;
        inbox: string;
        outbox: string;
        name: string;
        preferredUsername: string;
        summary: string;
        url: string;
        icon: string;
        image: string;
        published: string;
        manuallyApprovesFollowers: boolean;
        discoverable: boolean;
        attachment: object[];
        following: string;
        followers: string;
        featured: string;
        publicKey: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    }) | {
        [x: string]: any;
        id: URI;
        type: string;
    };
    get actorId(): URI;
    get objectId(): URI;
    get activityId(): URI | null;
    getJSONLD(url: URL): ActivityPub.Activity;
    static fromJSONLD(json: object): Activity;
}
export {};
