"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityPubService = void 0;
const common_1 = require("@nestjs/common");
const webfinger_service_1 = require("./webfinger.service");
const uri_object_1 = require("./uri.object");
let ActivityPubService = class ActivityPubService {
    webfinger;
    actors;
    constructor(webfinger, actors) {
        this.webfinger = webfinger;
        this.actors = actors;
    }
    async follow(username) {
        const json = await this.webfinger.finger(username);
        const actor = await this.actors.getOne('index');
        if (!actor) {
            throw new Error('Could not find default actor');
        }
        const actorToFollow = {
            id: new uri_object_1.URI(json.id),
            username
        };
        actor.follow(actorToFollow);
        await this.actors.save(actor);
    }
};
exports.ActivityPubService = ActivityPubService;
exports.ActivityPubService = ActivityPubService = __decorate([
    __param(1, (0, common_1.Inject)('ActorRepository')),
    __metadata("design:paramtypes", [webfinger_service_1.WebFingerService, Object])
], ActivityPubService);
//# sourceMappingURL=activitypub.service.js.map