/// <reference types="node" />
import ObjectID from 'bson-objectid';
import { ActivityPub } from './types';
import { Post } from './post.repository';
import { URI } from './uri.object';
type ArticleData = {
    id: ObjectID;
    name: string;
    content: string;
    url: URI;
    image: URI | null;
    published: Date | null;
    attributedTo: {
        type: string;
        name: string;
    }[];
    preview: {
        type: string;
        content: string;
    };
};
export declare class Article {
    private readonly attr;
    constructor(attr: ArticleData);
    get objectId(): URI;
    getJSONLD(url: URL): ActivityPub.Article & ActivityPub.RootObject;
    static fromPost(post: Post): Article;
}
export {};
