"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityPubController = void 0;
const common_1 = require("@nestjs/common");
const permissions_decorator_1 = require("../../../common/decorators/permissions.decorator");
const location_header_interceptor_1 = require("../../../nestjs/interceptors/location-header.interceptor");
const admin_api_authentication_guard_1 = require("../../../nestjs/guards/admin-api-authentication.guard");
const permissions_guard_1 = require("../../../nestjs/guards/permissions.guard");
const activitypub_service_1 = require("../../../core/activitypub/activitypub.service");
let ActivityPubController = class ActivityPubController {
    activitypub;
    constructor(activitypub) {
        this.activitypub = activitypub;
    }
    async follow(username) {
        await this.activitypub.follow(username);
        return {};
    }
};
exports.ActivityPubController = ActivityPubController;
__decorate([
    (0, permissions_decorator_1.Roles)([
        'Owner'
    ]),
    (0, common_1.Post)('follow/:username'),
    __param(0, (0, common_1.Param)('username')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], ActivityPubController.prototype, "follow", null);
exports.ActivityPubController = ActivityPubController = __decorate([
    (0, common_1.UseInterceptors)(location_header_interceptor_1.LocationHeaderInterceptor),
    (0, common_1.UseGuards)(admin_api_authentication_guard_1.AdminAPIAuthentication, permissions_guard_1.PermissionsGuard),
    (0, common_1.Controller)('activitypub'),
    __metadata("design:paramtypes", [activitypub_service_1.ActivityPubService])
], ActivityPubController);
//# sourceMappingURL=activitypub.controller.js.map