"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sinon_1 = __importDefault(require("sinon"));
const activitypub_controller_1 = require("./activitypub.controller");
const assert_1 = __importDefault(require("assert"));
describe('ActivityPubController', function () {
    describe('#follow', function () {
        it('Calls follow on the ActivityPubService and returns an empty object', async function () {
            const mockActivityPubService = {
                follow: sinon_1.default.stub().resolves(),
                getFollowing: sinon_1.default.stub().resolves([])
            };
            const controller = new activitypub_controller_1.ActivityPubController(mockActivityPubService);
            await controller.follow('@egg@ghost.org');
            (0, assert_1.default)(mockActivityPubService.follow.calledWith('@egg@ghost.org'));
        });
    });
});
//# sourceMappingURL=activitypub.controller.test.js.map