/// <reference types="node" />
/// <reference types="node" />
import { JSONLDService } from '../../../core/activitypub/jsonld.service';
import { InboxService } from '../../../core/activitypub/inbox.service';
export declare class ActivityPubController {
    private readonly service;
    private readonly inboxService;
    constructor(service: JSONLDService, inboxService: InboxService);
    getActor(id: unknown): Promise<(import("../../../core/activitypub/types").ActivityPub.RootObject & {
        [x: string]: any;
        inbox: string;
        outbox: string;
        name: string;
        preferredUsername: string;
        summary: string;
        url: string;
        icon: string;
        image: string;
        published: string;
        manuallyApprovesFollowers: boolean;
        discoverable: boolean;
        attachment: object[];
        following: string;
        followers: string;
        featured: string;
        publicKey: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    }) | (import("../../../core/activitypub/types").ActivityPub.SubObject & {
        [x: string]: any;
        inbox: string;
        outbox: string;
        name: string;
        preferredUsername: string;
        summary: string;
        url: string;
        icon: string;
        image: string;
        published: string;
        manuallyApprovesFollowers: boolean;
        discoverable: boolean;
        attachment: object[];
        following: string;
        followers: string;
        featured: string;
        publicKey: {
            id: string;
            owner: string;
            publicKeyPem: string;
        };
    } & import("../../../core/activitypub/types").ActivityPub.RootObject) | undefined>;
    getInbox(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        orderedItems: import("../../../core/activitypub/types").ActivityPub.Activity[];
    } | null>;
    handleActivity(owner: unknown, body: unknown, rawbody: Buffer, headers: Record<string, string>, req: Request): Promise<void>;
    getOutbox(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        orderedItems: import("../../../core/activitypub/types").ActivityPub.Activity[];
    } | null>;
    getFollowing(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        items: {
            id: string;
            username: string | undefined;
        }[];
    } | null>;
    getFollowers(owner: unknown): Promise<{
        '@context': string;
        id: string;
        summary: string;
        type: string;
        totalItems: number;
        items: string[];
    } | null>;
    getArticle(id: unknown): Promise<(import("../../../core/activitypub/types").ActivityPub.RootObject & {
        type: "Article";
        name: string;
        content: string;
        url?: string | undefined;
        attributedTo?: string | object[] | undefined;
        image?: string | undefined;
        published?: string | undefined;
        preview?: {
            type: string;
            content: string;
        } | undefined;
    }) | (import("../../../core/activitypub/types").ActivityPub.SubObject & {
        type: "Article";
        name: string;
        content: string;
        url?: string | undefined;
        attributedTo?: string | object[] | undefined;
        image?: string | undefined;
        published?: string | undefined;
        preview?: {
            type: string;
            content: string;
        } | undefined;
    } & import("../../../core/activitypub/types").ActivityPub.RootObject)>;
}
